Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577363 - Improve SELinux policy as per Grift's suggestions
Summary: Improve SELinux policy as per Grift's suggestions
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 31
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 19:29 UTC by Randy Barlow
Modified: 2020-11-24 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:36:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2018-05-11 19:29:50 UTC
Grift gave me some suggestions on how to improve our SELinux policy over IRC today:

<grift> bowlofeggs: line 67 redundant, included with call on 29
<grift> line 26 idem ditto
<grift> line 27 idem ditto except for "listen accept"
<grift> line err 25
<grift> line 27 55 and 57 should be replaced by "logging_send_syslog_msg()"
<grift> line 63 should be replaced by append_files_pattern, read_files_pattern, setattr_files_pattern and rename_files_pattern if possible (processes generally open log files for append only , dont wnt a compromised ejabberd to delete log entries and hide its audit trail
<grift> the postgres and/or mysql calls should be placed in optional blocks
<grift> otherwise looks ok but line 36 is questionable
<grift> the if file references types that arent required: ejabberd_initrc_exec_t, ejabberd_unit_t

Comment 1 Randy Barlow 2018-05-11 19:34:49 UTC
<grift> k with regard to ejabberd_log_t you can probably ommit rename_files_pattern() since its maintained by logrotate
<grift> so just append read, setattr ejabberd log files

Comment 2 Jan Kurik 2018-08-14 10:56:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Ben Cotton 2019-08-13 19:29:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Ben Cotton 2020-11-03 17:00:44 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 17:36:30 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.